{pkgs, ... } @ moduleArgs:

{
  config = {
    services.xserver.displayManager.gdm = {
      enable = true;
      wayland = false;
      autoSuspend = false;
    };

    programs.dconf.profiles.gdm.databases = [{
      settings = import ../dconf-common.nix moduleArgs [
        "org/gnome/desktop/interface"
        "org/gnome/desktop/peripherals/mouse"
        "org/gnome/desktop/sound"
        "org/gnome/settings-daemon/plugins/power"
        "org/gnome/shell/keybindings"
      ];
    }];

    environment.systemPackages = with pkgs; [
      google-cursor
    ];
  };
}